<template src="./edit.htm"></template>

<script>

    import Vue from 'vue';
    import EditInfo from './components/info/EditInfoComponent.vue';
    import EditProducts from './components/products/EditProductsComponent.vue';

    import { breadcrumbsMixin } from '../../../mixins/breadcrumbsMixin.js';
    import HandleEntityMixin from '../../../mixins/entities/handleEntityMixin.js';
    import GetEntityMixin from '../../../mixins/entities/getEntityMixin.js';
    import HandleOrderMixin from '../../mixins/handleOrderMixin.js';
    import ValidationErrorsMixin from '../../../mixins/validationErrorsMixin.js';

    Vue.component('edit-info', EditInfo);
    Vue.component('edit-products', EditProducts);

    export default {

        mounted() {

            this.getEntityMixin('orders', this.$route.params.id, 'setOrder');
        },

        data() {

            return {

            }
        },

        mixins: [
            breadcrumbsMixin,
            HandleEntityMixin,
            GetEntityMixin,
            HandleOrderMixin,
            ValidationErrorsMixin
        ],

        methods: {

            /**
             * Edit order from store, and redirect to given action (index, create).
             **/
            updateOrder(action) {

                this.handleEntity('order', action, route('admin.orders.update', this.$route.params.id));
            }
        }
    }

</script>